> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getsly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Batch-process pending tasks

> Internal-facing: trigger processing for all pending tasks to an agent. Used by worker loops.



## OpenAPI

````yaml /api-reference/openapi.json post /v1/a2a/process
openapi: 3.1.0
info:
  title: Sly API
  description: >-
    The Agentic Economy Platform — stablecoin payments, agent wallets,
    multi-protocol commerce, and AI agent orchestration.
  version: 1.0.0
  contact:
    name: Sly
    url: https://getsly.ai
    email: support@getsly.ai
servers:
  - url: https://api.getsly.ai/v1
    description: Production
  - url: https://sandbox.getsly.ai/v1
    description: Sandbox
security:
  - bearerAuth: []
paths:
  /v1/a2a/process:
    post:
      tags:
        - A2A
      summary: Batch-process pending tasks
      description: >-
        Internal-facing: trigger processing for all pending tasks to an agent.
        Used by worker loops.
      responses:
        '200':
          description: Processed
          content:
            application/json:
              schema:
                type: object
                properties:
                  processed:
                    type: number
                required:
                  - processed
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        API key (pk_test_* or pk_live_*), JWT session, agent token (agent_*),
        Ed25519 session (sess_*), or portal token (portal_*).

````